import { ScanOptions } from "@webiny/db-dynamodb";
import { Table } from "@webiny/db-dynamodb/toolbox";
import { IElasticsearchIndexingTaskValuesKeys } from "../types";
interface Params {
    table: Table<string, string, string>;
    keys?: IElasticsearchIndexingTaskValuesKeys;
    options?: Pick<ScanOptions, "limit">;
}
export declare const scan: <T = any>(params: Params) => Promise<import("@webiny/db-dynamodb").ScanResponse<T>>;
export {};
