"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.createEntry = void 0;
var _toolbox = require("@webiny/db-dynamodb/toolbox");
const createEntry = params => {
  const {
    table,
    entityName
  } = params;
  return new _toolbox.Entity({
    name: entityName,
    table,
    attributes: {
      PK: {
        type: "string",
        partitionKey: true
      },
      SK: {
        type: "string",
        sortKey: true
      },
      index: {
        type: "string"
      },
      data: {
        type: "map"
      }
    }
  });
};
exports.createEntry = createEntry;

//# sourceMappingURL=entry.js.map